## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# CrystalSpace::SoftShader::iScanlineRenderer Struct Reference

Software renderer scanline renderer. More...

`#include <csplugincommon/softshader/scanline.h>`

Inheritance diagram for CrystalSpace::SoftShader::iScanlineRenderer:

[legend]
List of all members.

## Public Types

typedef void(* | ScanlineProc )(iScanlineRenderer *_This, InterpolateEdgePersp &L, InterpolateEdgePersp &R, int ipolStep, int ipolShift, uint32 *dest, uint len, uint32 *zbuff)
| Scanline rendering function.

## Public Member Functions

virtual bool | SetupMesh (TexturesMask availableTextures, BuffersMask availableBuffers, const csRenderMeshModes &modes, bool needColors, RenderInfoMesh &renderInfoMesh)=0
| Return an appropriate scanline function based on the provided parameters (and further more, user options).
virtual bool | SetupTriangle (SoftwareTexture **textures, const RenderInfoMesh &renderInfoMesh, RenderInfoTriangle &renderInfoTri)=0
| Return an appropriate scanline function based on the provided parameters (and further more, user options).

## Classes

struct | RenderInfoMesh
| Information for setting up rendering a mesh, filled by the scanline renderer. More...
struct | RenderInfoTriangle
| Information for setting up rendering a triangle, filled by the scanline renderer. More...

## Detailed Description

Software renderer scanline renderer.

Definition at line 42 of file scanline.h.

## Member Typedef Documentation

typedef void(* CrystalSpace::SoftShader::iScanlineRenderer::ScanlineProc)(iScanlineRenderer *_This, InterpolateEdgePersp &L, InterpolateEdgePersp &R, int ipolStep, int ipolShift, uint32 *dest, uint len, uint32 *zbuff)

Scanline rendering function.

Parameters:

  | _This | The scanline renderer that provided the function.
  | L | Interpolator for the left edge
  | R | Interpolator for the right edge
  | ipolStep | Interpolation step for approximated perspective- correct interpolation.
  | ipolShift | Interpolation shift for approximated perspective- correct interpolation.
  | dest | Start of pixels to write.
  | len | Number of pixels to write.
  | zbuff | Pointer into Z buffer.

Definition at line 60 of file scanline.h.

## Member Function Documentation

virtual bool CrystalSpace::SoftShader::iScanlineRenderer::SetupMesh | ( | TexturesMask | availableTextures,
|  | BuffersMask | availableBuffers,
|  | const csRenderMeshModes & | modes,
|  | bool | needColors,
|  | RenderInfoMesh & | renderInfoMesh
| ) | `[pure virtual]`

| Return an appropriate scanline function based on the provided parameters (and further more, user options).

virtual bool CrystalSpace::SoftShader::iScanlineRenderer::SetupTriangle | ( | SoftwareTexture ** | textures,
|  | const RenderInfoMesh & | renderInfoMesh,
|  | RenderInfoTriangle & | renderInfoTri
| ) | `[pure virtual]`

| Return an appropriate scanline function based on the provided parameters (and further more, user options).

The documentation for this struct was generated from the following file:

- csplugincommon/softshader/scanline.h